com.h3c.of.ctl.pkt

## Enum HintType

- java.lang.Object
- - java.lang.Enum<HintType>
  - - com.h3c.of.ctl.pkt.HintType

- All Implemented Interfaces:
    Serializable, Comparable<HintType>

      public enum HintType
      extends Enum<HintType>

  Designates the standard `Hint` types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HANDLER` The identity of the packet listener that handled the Packet-In message.
    `TEST_PACKET` This packet has been identified as a test packet.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HintType` | `decode(int encodedType)` Returns the hint type for the given coded value; or null if not defined.
    `int` | `encodedType()` Returns the type encoded as an int.
    `static String` | `typeToString(int code)` Returns a hint type as a string.
    `static HintType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HintType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HANDLER

          public static final HintType HANDLER

      The identity of the packet listener that handled the Packet-In message.

    - #### TEST_PACKET

          public static final HintType TEST_PACKET

      This packet has been identified as a test packet.

  - ### Method Detail

    - #### values

          public static HintType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HintType c : HintType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HintType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### encodedType

          public int encodedType()

      Returns the type encoded as an int.
      Returns:
        the encoded type

    - #### decode

          public static HintType decode(int encodedType)

      Returns the hint type for the given coded value; or null if not defined.
      Parameters:
        `encodedType` - the encoded type
      Returns:
        the corresponding hint type (or null)

    - #### typeToString

          public static String typeToString(int code)

      Returns a hint type as a string. If it is a standard type, the type logical name is included in the string.
      Parameters:
        `code` - the encoded type
      Returns:
        the type in string format

Copyright © 2014. All Rights Reserved.